Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.operation
Class SubOperation

    java.lang.Object
      mauda.operation.SimpleOperation
          mauda.operation.SubOperation

All Implemented Interfaces:
  java.util.Comparator

    public class SubOperation

extends SimpleOperation

Storage of a sub-operation (e.g. FibHeap -> link) with at most 2 parameters.

Author:
  Markus Krebs

Field Summary

Fields inherited from class mauda.operation.SimpleOperation
`NULL`

Constructor Summary
`SubOperation()` Creates a SubOperation
`SubOperation(java.lang.String id)` Creates a SubOperation
`SubOperation(java.lang.String id, int param1)` Creates a SubOperation from an ID with one parameter
`SubOperation(java.lang.String id, int param1, int param2)` Creates a SubOperation from an ID with two parameters

Method Summary
`java.lang.Object` | `clone()`
`void` | `execute(java.lang.Object o)` Executes an operation on the data-structure.
`void` | `load(java.lang.String opString)` Loads this operation from a string-representation
`java.lang.String` | `out()` Creates a string-representation of this operation, that can be used in GUIs.
`java.lang.String` | `save()` Creates a string-representation of this operation for saving- purposes.
`java.lang.String` | `toString()`

Methods inherited from class mauda.operation.SimpleOperation
`compare, equals, getID, getParameter1, getParameter2`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubOperation

    public SubOperation()

  Creates a SubOperation

### SubOperation

    public SubOperation(java.lang.String id)

  Creates a SubOperation

  Parameters:
    `id` - suboperation-ID

### SubOperation

    public SubOperation(java.lang.String id,
                        int param1)

  Creates a SubOperation from an ID with one parameter

  Parameters:
    `id` - suboperation-ID
    `param1` - 1st parameter

### SubOperation

    public SubOperation(java.lang.String id,
                        int param1,
                        int param2)

  Creates a SubOperation from an ID with two parameters

  Parameters:
    `id` - suboperation-ID
    `param1` - 1st parameter
    `param2` - 2nd parameter

Method Detail

### execute

    public void execute(java.lang.Object o)

  Description copied from class: `SimpleOperation`
  Executes an operation on the data-structure.

  Overrides:
    `execute` in class `SimpleOperation`
  Parameters:
    `o` - data-structure

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `SimpleOperation`

### load

    public void load(java.lang.String opString)

  Description copied from class: `SimpleOperation`
  Loads this operation from a string-representation

  Overrides:
    `load` in class `SimpleOperation`
  Parameters:
    `opString` - string-representation

### save

    public java.lang.String save()

  Description copied from class: `SimpleOperation`
  Creates a string-representation of this operation for saving- purposes.

  Overrides:
    `save` in class `SimpleOperation`
  Returns:
    string-representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleOperation`

### out

    public java.lang.String out()

  Description copied from class: `SimpleOperation`
  Creates a string-representation of this operation, that can be used in GUIs. E.g.: In feedback-messages

  Overrides:
    `out` in class `SimpleOperation`
  Returns:
    string-representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD